function fc = determinefc(Y,regions)

% 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18
%                                         x
%           x           x              x
%     x x x   x      x     x  x  x  x
%              _x_x_/
%
% Author: Kjartan Steen-Olsen

for i = 1:24 %regions
    Y_i = Y(1:1536,18*i-17:18*i);
    Y_i(isnan(Y_i)) = 0;
    ytots = sum(Y_i); %1x18 vector of column sums
    
    fc(1:1536,i) = Y_i(1:1536,17);
    if ytots(17) == 0
        fc(1:1536,i) = fc(1:1536,i)+Y_i(1:1536,6)+Y_i(1:1536,11)+Y_i(1:1536,16);
        if ytots(6) == 0
            fc(1:1536,i) = fc(1:1536,i)+Y_i(1:1536,3)+Y_i(1:1536,4)+Y_i(1:1536,5);
        end
        if ytots(11) == 0
            fc(1:1536,i) = fc(1:1536,i)+Y_i(1:1536,7)+Y_i(1:1536,10);
            if ytots(10) == 0
                fc(1:1536,i) = fc(1:1536,i)+Y_i(1:1536,8)+Y_i(1:1536,9);
            end
        end
        if ytots(16) == 0
            fc(1:1536,i) = fc(1:1536,i)+Y_i(1:1536,12)+Y_i(1:1536,13)+Y_i(1:1536,14)+Y_i(1:1536,15);
        end
    end
end

fc(1537:1984,1:31)=0; %Making room for ROW regions (still to come..)
fc(1:1984,25:31)=0;