function [topten,degree] = outlier(A)
% Function that gives info on outliers in matrices Z, A or L
% Author: Kjartan Steen-Olsen

load frame                                                                  % contains: sectors, ROWsectors, newsectors, regions, stressors
scts = size(newsectors,1);
ROWsectors(65:67)=newsectors(65:67);

B=A;
avg = mean(mean(B));

    for i=1:10
        maxval = max(max(B));
        [ROW,COL] = find(B == maxval);
        e_r(i) = floor(ROW(1)/scts-1e-4)+1;
        m_r(i) = floor(COL(1)/scts-1e-4)+1;
        e_s(i) = ROW(1)-scts*floor(ROW(1)/scts-1e-4);
        m_s(i) = COL(1)-scts*floor(COL(1)/scts-1e-4);
        if (e_s(i) > 0) && (m_s(i) > 0)
        if e_r(i) <= 23
            topten(i,1:2) = [regions(e_r(i)),newsectors(e_s(i))];
        else
            topten(i,1:2) = [regions(e_r(i)),ROWsectors(e_s(i))];
        end
        if m_r(i) <= 23
            topten(i,3:4) = [regions(m_r(i)),newsectors(m_s(i))];
        else
            topten(i,3:4) = [regions(m_r(i)),ROWsectors(m_s(i))];
        end
        end
        degree(i,1) = round(maxval/avg);
        B(B == max(max(B))) = 0;
    end
%    topten(1:10,5)=degree;

if size(B,1) == 1
    topten = topten(1:10,3:4);
elseif size(B,2) == 1
    topten = topten(1:10,1:2);
else
end