function [totaloutputs,totalinputs] = determineIO(Z,y,calcs,regs,scts)
% Author: Kjartan Steen-Olsen

colsum = sum(Z,1); %Total inputs
rowsum = sum(Z,2)+sum(y,2); %Total outputs

for i = 1:regs
    for j = 1:scts
        totalinputs(i,j)  = colsum(scts*(i-1)+j);
        totaloutputs(i,j) = rowsum(scts*(i-1)+j);
    end
end


% if calcs == 0
% else
% xlswrite(calcs,totaloutputs(1:23,21)','Disaggregation','G9:AC9');           % Basic metals output in EU
% xlswrite(calcs,totaloutputs(1:23,21)','Disaggregation','G14:AC14');         % Basic metals output in EU
% xlswrite(calcs,totaloutputs(24:31,36)','Disaggregation','AD9:AK9');         % Basic metals output in ROW
% xlswrite(calcs,totaloutputs(24:31,36)','Disaggregation','AD14:AK14');       % Basic metals output in ROW
% xlswrite(calcs,totaloutputs(1:23,7)','Disaggregation','G19:AC19');          % Mining output in EU
% xlswrite(calcs,totaloutputs(24:31,18)','Disaggregation','AD19:AK19');        % Mining output in ROW
% end